Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(71)

Issue 2876013002: Add missing IWYU message_loop.h includes. (Closed)

Created:
3 years, 2 months ago by gab
Modified:
3 years, 1 month ago
CC:
chromium-reviews, sadrul, achuith+watch_chromium.org, johnme+watch_chromium.org, nasko+codewatch_chromium.org, dcheng, piman+watch_chromium.org, vakh+watch_chromium.org, melevin+watch_chromium.org, pkl (ping after 24h if needed), sebsg+autofillwatch_chromium.org, nona+watch_chromium.org, dglazkov+blink, einbinder+watch-test-runner_chromium.org, kalyank, tbansal+watch-data-reduction-proxy_chromium.org, mlamouri+watch-content_chromium.org, ntp-dev+reviews_chromium.org, tdresser+watch_chromium.org, yamaguchi+watch_chromium.org, Randy Smith (Not in Mondays), loading-reviews_chromium.org, mlamouri+watch-sensors_chromium.org, dbeam+watch-downloads_chromium.org, jochen+watch_chromium.org, sdefresne+watch_chromium.org, rjkroege, mlamouri+watch-test-runner_chromium.org, hashimoto+watch_chromium.org, tfarina, avayvod+watch_chromium.org, ortuno+watch_chromium.org, David Black, mac-reviews_chromium.org, estade+watch_chromium.org, martijn+crwatch_martijnc.be, isheriff+watch_chromium.org, pfeldman, asanka, certificate-transparency-chrome_googlegroups.com, msramek+watch_chromium.org, Eran Messeri, vmpstr+watch_chromium.org, scheib+watch_chromium.org, lhchavez+watch_chromium.org, fukino+watch_chromium.org, kinuko+watch, tapted, wjmaclean, Matt Giuca, mlamouri+watch-geolocation_chromium.org, Aaron Boodman, samuong+watch_chromium.org, jam, eme-reviews_chromium.org, halliwell+watch_chromium.org, vabr+watchlistautofill_chromium.org, chromium-apps-reviews_chromium.org, android-webview-reviews_chromium.org, alemate+watch_chromium.org, creis+watch_chromium.org, jsbell+serviceworker_chromium.org, nhiroki, feature-vr-reviews_chromium.org, timvolodine, asvitkine+watch_chromium.org, Michael van Ouwerkerk, Jered, shimazu+serviceworker_chromium.org, riju_, Lei Zhang, serviceworker-reviews, Eugene But (OOO till 7-30), dtapuska+chromiumwatch_chromium.org, eroman, mmenke, samarth+watch_chromium.org, kmadhusu+watch_chromium.org, rsleevi+watch_chromium.org, yusukes+watch_chromium.org, zea+watch_chromium.org, hidehiko+watch_chromium.org, oka+watch_chromium.org, browser-components-watch_chromium.org, yzshen+watch_chromium.org, rginda+watch_chromium.org, tracing+reviews_chromium.org, abarth-chromium, wifiprefetch-reviews_google.com, mlamouri+watch-media_chromium.org, miu+watch_chromium.org, extensions-reviews_chromium.org, awdf+watch_chromium.org, viettrungluu+watch_chromium.org, net-reviews_chromium.org, darin-cc_chromium.org, jkarlin+watch_chromium.org, devtools-reviews_chromium.org, xjz+watch_chromium.org, derat+watch_chromium.org, blink-worker-reviews_chromium.org, michaeln, imcheng+watch_chromium.org, rouslan+autofill_chromium.org, jasonroberts+watch_google.com, jfweitz+watch_chromium.org, oshima+watch_chromium.org, alokp+watch_chromium.org, sync-reviews_chromium.org, chfremer+watch_chromium.org, shalamov, wfh+watch_chromium.org, donnd+watch_chromium.org, shuchen+watch_chromium.org, ozone-reviews_chromium.org, tommycli, blink-reviews, cmumford, noyau+watch_chromium.org, kinuko+fileapi, davemoore+watch_chromium.org, erickung+watch_chromium.org, skanuj+watch_chromium.org, qsr+mojo_chromium.org, tzik, posciak+watch_chromium.org, rogerm+autofillwatch_chromium.org, bnc+watch_chromium.org, apacible+watch_chromium.org, marq+watch_chromium.org, markusheintz_, stevenjb+watch_chromium.org, darin (slow to review), cbentzel+watch_chromium.org, gavinp+disk_chromium.org, grt+watch_chromium.org, jbauman+watch_chromium.org, chromoting-reviews_chromium.org, wanming.lin_intel.com, blink-reviews-api_chromium.org, vabr+watchlistpasswordmanager_chromium.org, jdonnelly+watch_chromium.org, Peter Beverloo, mlamouri+watch-notifications_chromium.org, dkrahn+watch_chromium.org, feature-media-reviews_chromium.org, fuzzing_chromium.org, mcasas+watch+vc_chromium.org, horo+watch_chromium.org, gcasto+watchlist_chromium.org, jsbell+idb_chromium.org, danakj+watch_chromium.org, elijahtaylor+arcwatch_chromium.org, mathp+autofillwatch_chromium.org, kinuko+serviceworker, cc-bugs_chromium.org, scheduler-bugs_chromium.org, lcwu+watch_chromium.org, Mikhail
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add missing IWYU message_loop.h includes. This is a pre-req to removing the dependency from RunLoop->MessageLoop as many files only include run_loop.h but instantiate a MessageLoop. The following fix script was applied to each file in the codebase (plus a few hand fixes for DEPS and for //base): def Fix(file_path): content = refactor_lib.ReadFile(file_path) # Assume fwd-decls are correct in first pass. if 'class MessageLoop;' in content: return False if 'class MessageLoopForUI;' in content: return False if 'class MessageLoopForIO;' in content: return False # Using base:: prefix ensures we don't match fwd-decls and other things. # Will require a few fixups for missing includes in //base proper. # Complex prefix in regex attempts to skip comments. matches = re.compile(r'(\n *[^/\n][^/\n][^/\n]*base::MessageLoop(ForUI|ForIO)?\b[^*])', re.DOTALL).findall(content) if not matches: return False # Ignore unique pointers in headers in first pass... if os.path.splitext(file_path)[1] == '.h': found = False for match in matches: if not 'std::unique_ptr<base::MessageLoop' in match[0]: found = True break if not found: return False updated_content = refactor_lib.AddInclude(file_path, content, "base/message_loop/message_loop.h") if updated_content == content: return False # Write updated file refactor_lib.WriteFile(file_path, updated_content) return True TBR=gab@chromium.org BUG=703346 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel;master.tryserver.chromium.android:android_cronet_tester;master.tryserver.chromium.android:android_optional_gpu_tests_rel;master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel Review-Url: https://codereview.chromium.org/2876013002 Cr-Commit-Position: refs/heads/master@{#471412} Committed: https://chromium.googlesource.com/chromium/src/+/f64a25e32afb6f3fd7141cdf589b402290fee16a

Patch Set 1 #

Patch Set 2 : manual fixups for unique_ptr bug in script #

Patch Set 3 : last few tweaks to script #

Patch Set 4 : rebase on r471297 #

Patch Set 5 : fix upstream #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+469 lines, -14 lines) Patch
M android_webview/browser/aw_browser_main_parts.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M android_webview/browser/net/android_stream_reader_url_request_job_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M android_webview/browser/test/rendering_test.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ash/autoclick/mus/autoclick_application.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ash/shelf/shelf_layout_manager_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ash/touch_hud/mus/touch_hud_application.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/cancelable_callback_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M base/deferred_sequenced_task_runner_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/files/file_path_watcher_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/task_runner_util_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M base/test/test_io_thread.cc View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M base/threading/thread_perftest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/trace_event/blame_context_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M base/trace_event/trace_event_system_stats_monitor_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M cc/test/layer_tree_test.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/android/vr_shell/vr_shell.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/app_controller_mac_browsertest.mm View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/apps/app_shim/app_shim_host_manager_browsertest_mac.mm View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/apps/app_window_browsertest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/autofill/autofill_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/autofill/autofill_uitest_util.cc View 1 2 3 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/browser_process_impl.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/browsing_data/browsing_data_database_helper_browsertest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/browsing_data/browsing_data_local_storage_helper_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/browsing_data/chrome_browsing_data_remover_delegate_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chrome_browser_main.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chrome_browser_main_android.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chromeos/arc/intent_helper/arc_settings_service_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chromeos/customization/customization_wallpaper_downloader_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chromeos/file_manager/file_manager_browsertest_base.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chromeos/input_method/input_method_engine_browsertests.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chromeos/input_method/textinput_test_helper.cc View 1 2 3 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/chromeos/login/bluetooth_host_pairing_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chromeos/login/lock/screen_locker_tester.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chromeos/login/saml/saml_offline_signin_limiter_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chromeos/login/ui/login_display_host_impl.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chromeos/login/users/wallpaper/wallpaper_manager_test_utils.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chromeos/net/client_cert_store_chromeos_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chromeos/net/network_state_notifier_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chromeos/policy/recommendation_restorer_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/conflicts/module_inspector_win_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/devtools/device/adb/adb_client_socket_browsertest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/devtools/device/adb/mock_adb_server.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/devtools/device/android_device_manager.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/devtools/device/port_forwarding_browsertest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/devtools/device/usb/android_usb_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/devtools/devtools_sanity_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/devtools/devtools_sanity_interactive_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/dom_distiller/distillable_page_utils_browsertest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/download/download_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/activity_log/counting_policy_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/activity_log/fullstream_ui_policy_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/api/downloads/downloads_api.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/api/feedback_private/feedback_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/api/notifications/notifications_apitest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/api/socket/udp_socket_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/api/tab_capture/tab_capture_apitest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/api/tabs/tabs_test.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/api/top_sites/top_sites_apitest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/api/webstore_private/webstore_private_apitest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/app_data_migrator_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/crx_installer_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/error_console/error_console_browsertest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/extension_service_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/extension_storage_monitor_browsertest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/extension_user_script_loader_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/permissions_updater_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/geolocation/access_token_store_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/geolocation/geolocation_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/history/android/sqlite_cursor_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/history/redirect_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/importer/profile_writer_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/local_discovery/local_domain_resolver_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/local_discovery/service_discovery_client_mac.mm View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/local_discovery/service_discovery_client_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/media/webrtc/tab_desktop_media_list_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/media_galleries/fileapi/itunes_file_util_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/net/predictor_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/net/sdch_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/net/spdyproxy/data_reduction_proxy_chrome_settings_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/password_manager/native_backend_libsecret_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/password_manager/password_store_mac_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/plugins/plugin_power_saver_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/policy/cloud/cloud_policy_invalidator_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/policy/policy_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/policy/profile_policy_connector_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/prefs/profile_pref_store_manager_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/prefs/synced_pref_change_registrar_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/printing/cloud_print/privet_http_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/printing/cloud_print/privet_notifications_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/printing/cloud_print/privet_url_fetcher_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/printing/print_view_manager_base.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/profiles/profile_list_desktop_browsertest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/profiles/profile_manager_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/profiles/profile_window_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/renderer_host/render_process_host_chrome_browsertest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/safe_browsing/certificate_reporting_service_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/safe_browsing/client_side_detection_host_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/platform_state_store_win_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/state_store_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/safe_browsing/safe_browsing_blocking_page_test.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/safe_browsing/safe_browsing_service_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/service_process/service_process_control_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/sessions/session_restore.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/sessions/session_service_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/signin/mutable_profile_oauth2_token_service_delegate_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ssl/ssl_browser_tests.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/sync/test/integration/bookmarks_helper.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/sync/test/integration/passwords_helper.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/sync_file_system/drive_backend/callback_helper_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/cocoa/location_bar/zoom_decoration_browsertest.mm View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/desktop_ios_promotion/sms_service_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/omnibox/omnibox_view_browsertest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/search/instant_extended_interactive_uitest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/toolbar/back_forward_menu_model_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/views/apps/app_info_dialog/app_info_dialog_ash_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/views/apps/app_info_dialog/app_info_dialog_views_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/views/first_run_bubble_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/views/frame/browser_window_property_manager_browsertest_win.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/views/menu_model_adapter_test.cc View 1 2 3 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/ui/views/renderer_context_menu/render_view_context_menu_views.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/views/tabs/tab_drag_controller_interactive_uitest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/webui/constrained_web_dialog_ui_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/webui/md_downloads/md_downloads_dom_handler.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/webui/web_ui_test_handler.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/chrome_watcher/chrome_watcher_main.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/service_process_util_mac_unittest.mm View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/service_process_util_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/service/cloud_print/cloud_print_url_fetcher_unittest.cc View 1 2 3 1 chunk +2 lines, -1 line 0 comments Download
M chrome/service/service_process.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/test/base/chrome_unit_test_suite.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/test/base/testing_profile.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/test/chromedriver/commands_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/utility/image_writer/image_writer_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/browser/cast_media_blocker_browsertest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/media/audio/cast_audio_mixer_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/media/audio/cast_audio_output_stream_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/media/cma/backend/alsa/volume_control.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/media/cma/base/balanced_media_task_runner_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/media/cma/base/buffering_frame_provider_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/media/cma/base/demuxer_stream_adapter_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/media/cma/base/multi_demuxer_stream_adapter_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chromeos/dbus/biod/biod_client_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chromeos/dbus/dbus_thread_manager.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chromeos/network/client_cert_resolver_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chromeos/network/host_resolver_impl_chromeos_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chromeos/network/network_cert_migrator_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chromeos/process_proxy/process_output_watcher_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chromeos/process_proxy/process_proxy_registry.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chromeos/process_proxy/process_proxy_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/autofill/content/renderer/renderer_save_password_progress_logger_unittest.cc View 1 2 3 1 chunk +3 lines, -2 lines 0 comments Download
M components/autofill/core/browser/autofill_download_manager_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/autofill/core/browser/personal_data_manager_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/autofill/core/browser/webdata/web_data_service_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/bookmarks/test/bookmark_test_helpers.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/browser_sync/profile_sync_service_startup_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/browser_sync/profile_sync_service_typed_url_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/browser_sync/test_profile_sync_service.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M components/browser_watcher/window_hang_monitor_win_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/certificate_reporting/error_report_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/certificate_transparency/ct_policy_manager_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/cronet/android/test/quic_test_server.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/data_reduction_proxy/content/browser/content_resource_type_provider_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/data_reduction_proxy/core/browser/data_reduction_proxy_bypass_stats_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/data_reduction_proxy/core/browser/data_reduction_proxy_config_service_client_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/data_reduction_proxy/core/browser/data_reduction_proxy_config_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/data_reduction_proxy/core/browser/data_reduction_proxy_io_data_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/data_reduction_proxy/core/browser/data_reduction_proxy_metrics_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/data_reduction_proxy/core/browser/data_reduction_proxy_request_options_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/data_reduction_proxy/core/browser/data_reduction_proxy_settings_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/dom_distiller/core/task_tracker_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/dom_distiller/standalone/content_extractor_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/exo/wayland/server.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/gcm_driver/gcm_driver_desktop_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/grpc_support/test/get_stream_engine.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/grpc_support/test/quic_test_server.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/history/core/test/history_backend_db_base_test.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/image_fetcher/ios/ios_image_data_fetcher_wrapper_unittest.mm View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/image_fetcher/ios/ios_image_decoder_impl_unittest.mm View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/invalidation/impl/gcm_invalidation_bridge_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/invalidation/impl/non_blocking_invalidator_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/leveldb_proto/proto_database_impl_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/nacl/loader/nacl_listener.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/nacl/loader/nonsfi/nonsfi_listener.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/network_time/network_time_tracker_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/ntp_tiles/popular_sites_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/password_manager/content/browser/credential_manager_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/password_manager/content/renderer/credential_manager_client_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/password_manager/core/browser/password_store_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/policy/core/common/cloud/cloud_policy_manager_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/policy/core/common/cloud/component_cloud_policy_service_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/policy/core/common/cloud/device_management_service_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/policy/core/common/policy_loader_mac_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/policy/core/common/policy_service_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/safe_browsing_db/v4_local_database_manager_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/search_provider_logos/logo_tracker_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/signin/ios/browser/profile_oauth2_token_service_ios_delegate_unittest.mm View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/storage_monitor/media_storage_util_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/storage_monitor/storage_monitor_chromeos_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/storage_monitor/storage_monitor_linux_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/subresource_filter/content/browser/activation_state_computing_navigation_throttle_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/subresource_filter/content/browser/content_subresource_filter_driver_factory_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/subresource_filter/content/browser/content_subresource_filter_throttle_manager_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/suggestions/suggestions_service_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/sync/driver/shared_change_processor_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/sync/engine/attachments/attachment_store_test_template.h View 1 chunk +1 line, -0 lines 0 comments Download
M components/sync/engine/attachments/fake_attachment_uploader_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/sync/engine/net/http_bridge_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/sync/engine/sync_backend_registrar_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/sync/engine/ui_model_worker_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/sync/engine_impl/sync_scheduler_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/sync/model/attachments/attachment_service_proxy_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/sync/model_impl/accumulating_metadata_change_list_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/sync/model_impl/passthrough_metadata_change_list_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/tracing/test/trace_event_perftest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/ui_devtools/devtools_server.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/update_client/crx_downloader_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/update_client/ping_manager_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/update_client/request_sender_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/update_client/update_checker_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/url_formatter/elide_url_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/web_resource/resource_request_allowed_notifier_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/appcache/appcache_disk_cache_unittest.cc View 1 2 3 1 chunk +2 lines, -1 line 0 comments Download
M content/browser/appcache/appcache_request_handler_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/appcache/appcache_response_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/appcache/appcache_storage_impl_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/appcache/appcache_update_job_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/appcache/appcache_url_request_job_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/browser_main_loop.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/browser_main_runner.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/byte_stream_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/compositor/reflector_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/device_sensors/device_sensor_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/devtools/devtools_http_handler.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/devtools/devtools_manager_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/devtools/protocol/devtools_protocol_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/devtools/site_per_process_devtools_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/download/download_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/download/drag_download_file_browsertest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/gpu/gpu_process_host.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/loader/resource_dispatcher_host_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/loader/upload_data_stream_builder_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/media/capture/desktop_capture_device.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/media/capture/web_contents_video_capture_device_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/renderer_host/input/input_router_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/renderer_host/media/renderer_audio_output_stream_factory_context_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/renderer_host/p2p/socket_host_tcp_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/renderer_host/render_process_host_impl.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/renderer_host/render_widget_host_impl.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/renderer_host/render_widget_host_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/service_worker/service_worker_job_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/shareable_file_reference_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/storage_partition_impl_map_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/storage_partition_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/wake_lock/wake_lock_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/web_contents/web_contents_view_aura.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/child/child_thread_impl.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/child/url_response_body_consumer_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/child/web_data_consumer_handle_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/gpu/gpu_child_thread.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/public/test/browser_test_base.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/public/test/javascript_test_observer.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/public/test/test_utils.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/device_sensors/device_motion_event_pump_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/device_sensors/device_orientation_event_pump_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/gpu/render_widget_compositor_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/media/audio_message_filter_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/media/audio_renderer_sink_cache_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/media/media_stream_video_renderer_sink_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/media/rtc_peer_connection_handler_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/media/webmediaplayer_ms_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/media/webrtc/webrtc_video_capturer_adapter_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/media/webrtc_audio_renderer_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/media_recorder/video_track_recorder_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/pepper/pepper_broker_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/render_thread_impl.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/render_thread_impl_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/visual_state_browsertest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/shell/browser/layout_test/blink_test_controller.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/shell/browser/layout_test/layout_test_browser_main.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/shell/browser/shell.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M dbus/object_proxy_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M dbus/test_server.cc View 1 chunk +1 line, -0 lines 0 comments Download
M dbus/test_service.cc View 1 chunk +1 line, -0 lines 0 comments Download
M device/bluetooth/bluetooth_socket_thread.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M device/bluetooth/bluez/bluetooth_adapter_profile_bluez_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M device/bluetooth/dbus/dbus_thread_manager_linux.cc View 1 chunk +1 line, -0 lines 0 comments Download
M device/gamepad/gamepad_provider.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M device/generic_sensor/platform_sensor_provider_linux.cc View 1 chunk +1 line, -0 lines 0 comments Download
M device/geolocation/geolocation_provider_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M device/geolocation/location_arbitrator_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M device/geolocation/network_location_provider_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M device/hid/hid_connection_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M device/u2f/u2f_hid_device_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M extensions/common/one_shot_event_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M extensions/shell/browser/shell_desktop_controller_aura.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M extensions/test/extension_test_message_listener.cc View 1 chunk +1 line, -0 lines 0 comments Download
M google_apis/gaia/oauth2_token_service_request_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M google_apis/gcm/base/socket_stream_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M google_apis/gcm/engine/connection_handler_impl_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M gpu/command_buffer/client/cmd_buffer_helper_test.cc View 1 chunk +1 line, -0 lines 0 comments Download
M gpu/command_buffer/client/fenced_allocator_test.cc View 1 chunk +1 line, -0 lines 0 comments Download
M gpu/command_buffer/client/ring_buffer_test.cc View 1 chunk +1 line, -0 lines 0 comments Download
M gpu/ipc/service/child_window_win.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M headless/lib/browser/headless_browser_impl.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M headless/lib/frame_id_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M headless/lib/headless_devtools_client_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M headless/public/util/deterministic_dispatcher_test.cc View 1 chunk +1 line, -0 lines 0 comments Download
M headless/public/util/expedited_dispatcher_test.cc View 1 chunk +1 line, -0 lines 0 comments Download
M headless/public/util/generic_url_request_job_test.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ios/chrome/browser/ui/settings/bandwidth_management_collection_view_controller_unittest.mm View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ios/clean/chrome/browser/ui/tab/tab_coordinator_unittest.mm View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ios/web/test/test_web_thread.cc View 1 chunk +1 line, -0 lines 0 comments Download
M ipc/ipc_channel_proxy_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M ipc/ipc_mojo_perftest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ipc/ipc_send_fds_test.cc View 1 chunk +1 line, -0 lines 0 comments Download
M ipc/ipc_sync_channel.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ipc/ipc_sync_channel_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M ipc/sync_socket_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M mash/catalog_viewer/catalog_viewer.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M mash/task_viewer/task_viewer.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M media/audio/audio_input_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M media/audio/audio_low_latency_input_output_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M media/audio/audio_system_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M media/audio/mac/audio_auhal_mac_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M media/cast/test/sender.cc View 1 chunk +1 line, -0 lines 0 comments Download
M media/cast/test/utility/standalone_cast_environment.cc View 1 chunk +1 line, -0 lines 0 comments Download
M media/cast/test/utility/tap_proxy.cc View 1 chunk +1 line, -0 lines 0 comments Download
M media/cast/test/utility/udp_proxy.cc View 1 chunk +1 line, -0 lines 0 comments Download
M media/filters/ffmpeg_demuxer_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M media/filters/vpx_video_decoder_fuzzertest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M media/gpu/avda_codec_allocator.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M media/gpu/video_decode_accelerator_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M media/mojo/common/mojo_decoder_buffer_converter_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M media/muxers/webm_muxer_fuzzertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M media/remoting/demuxer_stream_adapter_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M media/renderers/audio_renderer_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M net/android/network_change_notifier_android.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M net/base/file_stream_context_win.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M net/base/network_change_notifier_linux.cc View 1 chunk +1 line, -0 lines 0 comments Download
M net/base/network_change_notifier_mac.cc View 1 chunk +1 line, -0 lines 0 comments Download
M net/base/network_change_notifier_win.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M net/cert_net/cert_net_fetcher_impl_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M net/disk_cache/backend_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M net/disk_cache/disk_cache_test_base.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M net/disk_cache/simple/simple_index_file_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M net/dns/dns_transaction_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M net/http/http_stream_factory_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M net/log/file_net_log_observer_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M net/proxy/proxy_config_service_linux_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M net/proxy/proxy_resolver_v8_tracing_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M net/test/embedded_test_server/embedded_test_server_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M net/test/spawned_test_server/spawner_communicator.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M net/tools/cert_verify_tool/verify_using_path_builder.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M net/tools/disk_cache_memory_test/disk_cache_memory_test.cc View 1 chunk +1 line, -0 lines 0 comments Download
M net/tools/quic/quic_server_bin.cc View 1 chunk +1 line, -0 lines 0 comments Download
M net/tools/quic/quic_simple_server_bin.cc View 1 chunk +1 line, -0 lines 0 comments Download
M net/tools/quic/synchronous_host_resolver.cc View 1 chunk +1 line, -0 lines 0 comments Download
M net/url_request/url_fetcher_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M net/url_request/url_request_context_builder.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ppapi/host/resource_message_filter_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M ppapi/nacl_irt/irt_pnacl_translator_compile.cc View 1 chunk +1 line, -0 lines 0 comments Download
M ppapi/nacl_irt/irt_pnacl_translator_link.cc View 1 chunk +1 line, -0 lines 0 comments Download
M ppapi/nacl_irt/irt_ppapi.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ppapi/nacl_irt/plugin_startup.cc View 1 chunk +1 line, -0 lines 0 comments Download
M ppapi/proxy/plugin_globals.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ppapi/proxy/ppapi_proxy_test.h View 1 chunk +1 line, -0 lines 0 comments Download
M printing/printing_context_win.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M remoting/base/auto_thread_unittest.cc View 1 2 3 1 chunk +2 lines, -1 line 2 comments Download
M remoting/base/run_all_unittests.cc View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/chromoting_host_context.cc View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/chromoting_host_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/daemon_process_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/it2me/it2me_confirmation_dialog_proxy_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/linux/certificate_watcher_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/native_messaging/native_messaging_reader.cc View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/security_key/security_key_message_reader.cc View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/security_key/security_key_message_reader_impl.cc View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/setup/daemon_controller.cc View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/setup/start_host_main.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/token_validator_factory_impl_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/win/rdp_client.cc View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/protocol/pseudotcp_adapter_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M rlz/lib/rlz_lib_test.cc View 1 2 3 1 chunk +3 lines, -3 lines 0 comments Download
M services/device/battery/battery_status_manager_linux.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M services/service_manager/background/tests/background_service_manager_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M services/service_manager/embedder/main.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M services/service_manager/tests/lifecycle/app_client.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M services/service_manager/tests/shutdown/shutdown_client_app.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M services/shape_detection/barcode_detection_impl_mac_unittest.mm View 1 chunk +1 line, -0 lines 0 comments Download
M services/shape_detection/face_detection_impl_mac_unittest.mm View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M services/shape_detection/text_detection_impl_mac_unittest.mm View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M services/ui/input_devices/input_device_unittests.cc View 1 chunk +1 line, -0 lines 0 comments Download
M services/ui/main.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M services/ui/public/cpp/gpu/gpu.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M services/ui/service.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M services/video_capture/test/mock_device_test.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M storage/browser/blob/blob_url_request_job_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M storage/browser/fileapi/copy_or_move_operation_delegate_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M storage/browser/fileapi/file_system_dir_url_request_job_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M storage/browser/fileapi/file_system_file_stream_reader_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M storage/browser/fileapi/file_system_operation_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M storage/browser/fileapi/file_system_operation_impl_write_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M storage/browser/fileapi/file_system_url_request_job_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M storage/browser/fileapi/file_writer_delegate_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M storage/browser/fileapi/local_file_stream_reader_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M storage/browser/fileapi/local_file_stream_writer_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M storage/browser/fileapi/obfuscated_file_util_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M storage/browser/fileapi/timed_task_helper_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M storage/browser/quota/storage_monitor_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/DEPS View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/TimerTest.cpp View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/base/task_queue_impl.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/base/task_queue_manager_perftest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/base/task_queue_manager_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/compositor_worker_scheduler.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/idle_helper_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/scheduler_helper.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/scheduler_helper_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/webthread_base.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/webthread_impl_for_worker_scheduler.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/worker_scheduler_impl.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/renderer/renderer_scheduler_impl.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/renderer/renderer_scheduler_impl_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/renderer/webthread_impl_for_renderer_scheduler.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/renderer/webthread_impl_for_renderer_scheduler_unittest.cc View 1 2 3 1 chunk +3 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/test/fake_renderer_scheduler.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/public/platform/scheduler/child/webthread_base.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/public/platform/scheduler/test/fake_renderer_scheduler.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/public/platform/scheduler/test/mock_renderer_scheduler.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/libaddressinput/chromium/chrome_metadata_source_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M tools/battor_agent/battor_agent_bin.cc View 1 chunk +1 line, -0 lines 0 comments Download
M ui/app_list/demo/app_list_demo_views.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/aura/window_event_dispatcher_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/base/x/selection_requestor.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/events/blink/input_handler_proxy_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/events/ozone/evdev/event_thread_evdev.cc View 1 chunk +1 line, -0 lines 0 comments Download
M ui/events/ozone/evdev/touch_event_converter_evdev_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/gfx/animation/animation_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/gfx/font_fallback_win_unittest.cc View 1 2 3 1 chunk +2 lines, -1 line 0 comments Download
M ui/gfx/text_elider_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M ui/message_center/views/message_list_view.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/ozone/platform/drm/gpu/drm_thread.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/ozone/platform/wayland/wayland_connection_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M ui/ozone/platform/wayland/wayland_test.h View 1 chunk +1 line, -0 lines 0 comments Download
M ui/ozone/platform/x11/ozone_platform_x11.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/ozone/public/ozone_gpu_test_helper.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/controls/menu/menu_controller_unittest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/examples/examples_window.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/mus/mus_client.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/mus/screen_mus_unittest.cc View 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/mus/views_mus_test_suite.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/widget/native_widget_mac_unittest.mm View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/widget/widget_interactive_uitest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/win/hwnd_message_handler.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 41 (26 generated)
gab
Francois PTaL, I'm TBRing self to land.
3 years, 1 month ago (2017-05-12 13:32:05 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2876013002/40001
3 years, 1 month ago (2017-05-12 13:36:40 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: android_arm64_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_arm64_dbg_recipe/builds/266802) android_compile_dbg on master.tryserver.chromium.android (JOB_FAILED, ...
3 years, 1 month ago (2017-05-12 13:45:37 UTC) #14
mthiesse1
vr_shell lgtm
3 years, 1 month ago (2017-05-12 14:33:28 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2876013002/60001
3 years, 1 month ago (2017-05-12 14:37:23 UTC) #20
commit-bot: I haz the power
Your CL can not be processed by CQ because of: * target_ref must start with ...
3 years, 1 month ago (2017-05-12 14:37:29 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2876013002/80001
3 years, 1 month ago (2017-05-12 14:49:55 UTC) #25
fdoray
lgtm
3 years, 1 month ago (2017-05-12 14:50:12 UTC) #26
mthiesse
lgtm from the correct account
3 years, 1 month ago (2017-05-12 15:11:13 UTC) #28
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/425186)
3 years, 1 month ago (2017-05-12 17:22:51 UTC) #30
scheib
device lgtm
3 years, 1 month ago (2017-05-12 17:27:08 UTC) #32
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2876013002/80001
3 years, 1 month ago (2017-05-12 18:06:56 UTC) #34
commit-bot: I haz the power
Committed patchset #5 (id:80001) as https://chromium.googlesource.com/chromium/src/+/f64a25e32afb6f3fd7141cdf589b402290fee16a
3 years, 1 month ago (2017-05-12 19:43:45 UTC) #38
Do not use (sergeyu)
https://codereview.chromium.org/2876013002/diff/80001/remoting/base/auto_thread_unittest.cc File remoting/base/auto_thread_unittest.cc (right): https://codereview.chromium.org/2876013002/diff/80001/remoting/base/auto_thread_unittest.cc#newcode5 remoting/base/auto_thread_unittest.cc:5: #include "remoting/base/auto_thread.h" includes order is wrong here
3 years, 1 month ago (2017-05-16 00:20:46 UTC) #40
gab
3 years, 1 month ago (2017-05-16 14:12:50 UTC) #41
Message was sent while issue was closed.
https://codereview.chromium.org/2876013002/diff/80001/remoting/base/auto_thre...
File remoting/base/auto_thread_unittest.cc (right):

https://codereview.chromium.org/2876013002/diff/80001/remoting/base/auto_thre...
remoting/base/auto_thread_unittest.cc:5: #include "remoting/base/auto_thread.h"
On 2017/05/16 00:20:46, Do not use (sergeyu) wrote:
> includes order is wrong here

No it's not, this is git cl format's output.

The matching foo.h header for foo.cc and foo_unittest.cc goes at the top.

In general there should also be a newline but this isn't against style and is
the current output of git cl format (and one-off fixing includes in mass
refactorings isn't going to happen: http://crbug.com/710164 is up for clang team
to address this prefered chromium style).

Powered by Google App Engine
This is Rietveld 408576698